Undefined index: descriptions in extensions/Wikidata/extensions/Wikibase/repo/includes/api/ResultBuilder.php on line 483
Closed, ResolvedPublic

Description

Apologies if I tagged the wrong project, is this WikibaseDatabase or WikibaseQueryEngine?

New logspam appearing as of 1.26wmf19:

Undefined index: descriptions in /srv/mediawiki/php-1.26wmf19/extensions/Wikidata/extensions/Wikibase/repo/includes/api/ResultBuilder.php on line 483
mmodell created this task.Aug 19 2015, 6:13 PM
mmodell updated the task description. (Show Details)
mmodell raised the priority of this task from to Needs Triage.
mmodell added a subscriber: mmodell.
Restricted Application added a project: Wikidata. · View Herald TranscriptAug 19 2015, 6:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
aude added a subscriber: aude.

Catchable fatal error: Argument 1 passed to Wikibase\Repo\Api\ResultBuilder::getTermsSerializationWithFallbackInfo() must be an instance of array, null given in /srv/mediawiki/php-1.26wmf19/extensions/Wikidata/extensions/Wikibase/repo/includes/api/ResultBuilder.php on line 516

also

Aug 19 18:07:51 mw1234: #012Notice: Undefined index: descriptions in /srv/mediawiki/php-1.26wmf19/extensions/Wikidata/extensions/Wikibase/repo/includes/api/ResultBuilder.php on line 483

Change 232541 had a related patch set uploaded (by Aude):
Check array keys before adding fallbacks in ResultBuilder

https://gerrit.wikimedia.org/r/232541

Change 232541 merged by jenkins-bot:
Check array keys before adding fallbacks in ResultBuilder

https://gerrit.wikimedia.org/r/232541

JanZerebecki set Security to None.
JanZerebecki added a subscriber: JanZerebecki.

Also needs a fix for branch master.

Change 232561 had a related patch set uploaded (by Aude):
Check array keys before adding fallbacks in ResultBuilder

https://gerrit.wikimedia.org/r/232561

mmodell closed this task as Resolved.Aug 19 2015, 7:08 PM
mmodell claimed this task.

Hotfix deployed, I can confirm that the error is no longer showing up in production logs.

Addshore reopened this task as Open.
Addshore added a subscriber: Addshore.

Reopening until master is also fixed

Change 232689 had a related patch set uploaded (by Addshore):
Add tests for getentities with fallback and props

https://gerrit.wikimedia.org/r/232689

Change 232561 merged by jenkins-bot:
Check array keys before adding fallbacks in ResultBuilder

https://gerrit.wikimedia.org/r/232561

Addshore closed this task as Resolved.Aug 20 2015, 8:34 AM

Patch now also merged in master :0 :)

aude moved this task from Review to Done on the Wikidata-Sprint-2015-08-18 board.
aude claimed this task.

Change 232689 merged by jenkins-bot:
Add tests for getentities with fallback and props

https://gerrit.wikimedia.org/r/232689

demon moved this task from Backlog to Done on the Wikimedia-log-errors board.Aug 24 2015, 3:23 AM